#ifndef boss_h
#define boss_h

#include "entity.h"

struct World;

#define boss_type_xmacro() \
	x(boss_type_cia)

typedef enum {
#define x(name) name,
	boss_type_xmacro()
#undef x
	boss_type_count
} Boss_Type;

const char* get_boss_type_name(Boss_Type type);
Boss_Type get_boss_type(const char* name);

void draw_healthbar(int hp);

Entity new_boss(
	Boss_Type type,
	struct World* world,
	int x,
	int y
);

#endif
