#ifndef cfg_h
#define cfg_h

#include "memory.h"

typedef struct {
	int win_w, win_h;
	int resizable;
	int fullscreen;
	int audio;
} Cfg;

void default_cfg(Cfg* c);
void init_cfg(Cfg* c, Arena* a, const char* src);

Cfg* get_cfg(void);

#endif
