#ifndef error_h
#define error_h

typedef enum {
	error_none = 0,
	error_file_not_found,
	error_out_of_memory,
	error_invalid_asset,
	error_gameplay_error,
	error_sound_error,
	error_invalid_args,
	error_platform_error,
	error_invalid_component,
	error_double_registration,
	error_too_many_components,
	error_unregistered_component,
	error_multithreading
} Error;

#endif
