#ifndef tags_h
#define tags_h

typedef unsigned Tags;

enum {
	tag_gravity              = 1 << 0,
	tag_dynamic              = 1 << 1,
	tag_trigger              = 1 << 3,
	tag_destroy_on_anim_done = 1 << 4,
	tag_enemy                = 1 << 6,
	tag_friend               = 1 << 7,
	tag_friend_slash         = 1 << 8,
	tag_enemy_slash          = 1 << 9,
	tag_destroy_offscreen    = 1 << 10,
	tag_killzone             = 1 << 11,
	tag_savegame             = 1 << 12,
	tag_bio                  = 1 << 13,
	tag_destroy_collision    = 1 << 14,
	tag_player               = 1 << 15,
	tag_pickup               = 1 << 16,
	tag_bomb                 = 1 << 17,
	tag_killable             = 1 << 18,
	tag_bullet               = 1 << 19,
	tag_collidable           = 1 << 20
};

#endif

