#include <string.h>

#include "boss.h"

const char* get_boss_type_name(Boss_Type type) {
	switch (type) {
#define x(name) case name: return #name;
		boss_type_xmacro()
#undef x
		default: return 0;
	}
}

Boss_Type get_boss_type(const char* name) {
#define x(n) if (!strcmp(name, #n)) return n;
	boss_type_xmacro();
#undef x
	return boss_type_count;
}

