#include <stdio.h>

int main(int argc, char** argv) {
	char buffer[32];
	int buffer_size, i, j, rs, size;
	char* c, c1, c2, nl;
	FILE* infile, * outfile;

	buffer_size = sizeof buffer;

	if (argc < 3) {
		fprintf(stderr, "Usage: %s infile outfile.\n", argv[0]);
		return 1;
	}

	infile = fopen(argv[1], "rb");
	if (!infile) {
		fprintf(stderr, "Failed to open %s.\n", argv[1]);
		return 2;
	}

	outfile = fopen(argv[2], "wb");
	if (!outfile) {
		fprintf(stderr, "Failed to open %s.\n", argv[2]);
		return 3;
	}

	fseek(infile, 0, SEEK_END);
	size = ftell(infile);
	rewind(infile);

	/* Normalise line endings. */
#define cc \
	c = &buffer[j]; \
	c1 = c[0]; \
	nl = '\n'; \
	switch (c1) { \
		case '\r': \
		case '\n': \
			if (((c2 = c[1]) != c1) && (c2 == '\n' || c2 == '\r')) \
				j++; \
			fwrite(&nl, 1, 1, outfile); \
			break; \
		default: \
			fwrite(c, 1, 1, outfile); \
	}

	for (i = 0; i < size; i += rs) {
		rs = fread(buffer, 1, buffer_size, infile);
		for (j = 0; j < rs; j++) {
			cc;
		}
	}

#undef cc

	fclose(outfile);
	fclose(infile);
	return 0;
}
