#include "fx.h"
#include "monster.h"
#include "tags.h"
#include "world.h"

void kill_killable(World* world, Entity e) {
	Tags t;
	CPosition* pos;
	int id = entity_index(e);
	t = world->tags[id];
	pos = &world->positions[id];
	if (t & tag_bio) {
		new_blood_splatter(
			world,
			pos->x,
			pos->y,
			0,
			0
		);
	}
	if (world->tags[id] & tag_player)
		world->player.dead = 1;
	destroy_entity(world, e);
}

void damage_system(World* world) {
	general_system_vars
	CDamageable* dam;
	general_system(ctype_damageable)
		dam = &world->damageables[i];
		if (dam->hurting) dam->hurting--;
		if (dam->hp <= 0)
			kill_killable(world, world->entities[i]);
	}
}

