#ifndef entity_h
#define entity_h

/* Most significant 20 bits are the index.
 * Least significant 12 bits are the version. */
typedef int Entity;

#define entity_index(e_) (e_ >> 12)
#define entity_version(e_) (e_ & 0xfff)
#define make_entity(i_, v_) ((i_ << 12) | v_)
#define null_entity 0xffffffff

#endif
