#ifndef game_config_h
#define game_config_h

/* Gameplay config. */

#include "maths.h"

#define player_dead_grace_frames 60

#define main_gravity (f1 / 4)

#define max_velocity (f1 * 4)

#define player_friction (f1 / 8)
#define blood_friction (f1 / 8)
#define max_gore_velo (f1 * 5)

#define room_width 20
#define room_height 15

#define map_max_w (room_width * 2)
#define map_max_h (room_height * 2)
#define map_tile_size 16
#define map_max_corpses 32

#define cop_fire_cooldown 100
#define cop_bullet_speed (f1)
#define cia_bullet_speed (f1 * 3)
#define cia_bomb_vel_y (f1 * -3)
#define cia_bomb_vel_x (f1)

#define explosion_radius (10 * f1)

#endif
