#ifndef item_h
#define item_h

#define item_xmacro() \
	x(bomb, sprite_bomb)

typedef enum {
#define x(name, sprite) item_ ## name,
	item_xmacro()
#undef x
	item_count
} Item;

int get_item_sprite(Item item);
Item get_item_by_name(const char* name);
const char* get_item_name(Item item);

#endif
