#include "plat.h"
#include "rcache.h"
#include "render.h"

#define w 0xffffffff
#define b 0x00000000
const unsigned loading_img[] = {
	w, b, b, b, b, w, w, b, b, w, w, w, b, w, w, b, b, w, w, w, b, w, b, b, w, b, b, w, w, 
	w, b, b, b, w, b, b, w, b, w, b, w, b, w, b, w, b, b, w, b, b, w, w, b, w, b, w, b, b, 
	w, b, b, b, w, b, b, w, b, w, w, w, b, w, b, w, b, b, w, b, b, w, b, w, w, b, w, b, w, 
	w, w, w, b, b, w, w, b, b, w, b, w, b, w, w, b, b, w, w, w, b, w, b, b, w, b, b, w, w, 
};
#undef w
#undef b

void render_loading() {
	Bitmap b;
	Rectangle r;
	b.w = 29;
	b.h = 4;
	b.pixels = (Colour*)loading_img;
	r.x = 0;
	r.y = 0;
	r.w = b.w;
	r.h = b.h;
	plat_flush();
	rc_add_cmd_bmp_cp(
		&b,
		renderer_w / 2 - b.w / 2,
		renderer_h / 2 - b.h / 2,
		&r
	);
	rc_flush();
	plat_flush();
}
