#ifndef map_tiles_h
#define map_tiles_h

#define map_tiles_xmacro \
	x(map_tile_air,                       0,   0   ) \
	x(map_tile_block,                     16,  16  ) \
	x(map_tile_stone_block,               16,  0   ) \
	x(map_tile_cobble_block,              32,  0   ) \
	x(map_tile_cobble_ramp_1,             48,  0   ) \
	x(map_tile_cobble_ramp_2,             64,  0   ) \
	x(map_tile_cobble_ramp_3,             80,  0   ) \
	x(map_tile_cobble_ramp_4,             96,  0   ) \
	x(map_tile_cobble_ramp_5,             112, 0   ) \
	x(map_tile_cobble_ramp_6,             128, 0   ) \
	x(map_tile_cobble_ramp_7,             48,  16  ) \
	x(map_tile_cobble_ramp_8,             64,  16  ) \
	x(map_tile_cobble_ramp_9,             80,  16  ) \
	x(map_tile_cobble_ramp_10,            96,  16  ) \
	x(map_tile_cobble_ramp_11,            112, 16  ) \
	x(map_tile_cobble_ramp_12,            128, 16  ) \
	x(map_tile_cobble_col_big_1,          0,   32  ) \
	x(map_tile_cobble_col_big_2,          0,   48  ) \
	x(map_tile_cobble_col_big_3,          0,   64  ) \
	x(map_tile_cobble_col_small,          64,  48  ) \
	x(map_tile_cobble_bridge_1,           16,  48  ) \
	x(map_tile_cobble_bridge_2,           32,  48  ) \
	x(map_tile_cobble_bridge_3,           48,  48  ) \
	x(map_tile_cobble_bridge_4,           16,  64  ) \
	x(map_tile_cobble_bridge_5,           32,  64  ) \
	x(map_tile_cobble_bridge_6,           48,  64  ) \
	x(map_tile_cobble_debris_1,           16,  32  ) \
	x(map_tile_cobble_debris_2,           32,  32  ) \
	x(map_tile_cobble_debris_3,           48,  32  ) \
	x(map_tile_cobble_debris_4,           64,  32  ) \
	x(map_tile_water_1,                   80,  32  ) \
	x(map_tile_water_2,                   96,  32  ) \
	x(map_tile_water_3,                   112, 32  ) \
	x(map_tile_water_4,                   80,  48  ) \
	x(map_tile_water_5,                   96,  48  ) \
	x(map_tile_water_6,                   112, 48  ) \
	x(map_tile_bars_top,                  128, 32  ) \
	x(map_tile_bars_mid,                  128, 48  ) \
	x(map_tile_bars_bot,                  128, 64  )

#endif
