#ifndef player_h
#define player_h

#include "entity.h"

struct World;

typedef struct {
	Entity e;
	int dead;
} Player;

void init_player(
	Player* player,
	struct World* world,
	int x,
	int y
);
void update_player(Player* player, struct World* world);
void pause_player(Player* player, struct World* world);
void kill_player(struct World* world, Player* player);
void pickup_item(
	struct World* world,
	Entity p
);

#endif
