#ifndef sprite_system_h
#define sprite_system_h

#include "components.h"

struct World;
struct Bitmap;

typedef struct {
	int x, y, z;
	Rectangle rect;
	const struct Bitmap* bitmap;
} Sprite_RD;

typedef struct Sprite_System {
	Sprite_RD sorted[max_entities];
	int stack[max_entities];
	int count;
} Sprite_System;

void sprite_system(Sprite_System* sp, const struct World* world);

#endif
