#ifndef systems_h
#define systems_h

struct World;
struct Gamestate;

void animation_system(struct World* world);
void blood_system(struct World* world);
void damage_system(struct World* world);
void follow_system(struct World* world);
void lifetime_system(struct World* world);
void physics_system(struct World* world);
void boss_system(
	struct Gamestate* gamestate,
	struct World* world
);
void boss_render_system(struct World* world);

#endif
